.terms-conditions-modal {
    position: fixed;
    bottom: 0;
    left: 0; 
    width: 100%; 
    background-color: #f2f2f2; 
    box-shadow: 0 -2px 5px rgba(0,0,0,0.2);
    z-index: 1000;
}

.modal-content {
    max-width: 600px; 
    margin: auto; 
    text-align: center; 
    display: flex; 
    flex-direction: column; 
    justify-content: center; 
    align-items: center;
}

.modal-content h2{
	margin-bottom: 5px;
}

.modal-content p {
    margin-bottom: 10px;
	padding-bottom: 20px;
}

.modal-buttons {
    display: flex; 
    justify-content: center; 
    align-items: center;
	padding-bottom: 15px;
}

.btn {
    padding: 10px 20px; 
    margin: 0 5px; 
    border: 1px solid #ccc; 
    border-radius: 10px; 
    cursor: pointer;
    outline: none; 
    background-color: white; 
    box-shadow: 0 2px 2px rgba(0,0,0,0.2); 
}

.btn.accept {
    background-color: #4CAF50; 
    color: white; 
    border: none;
}

.btn:hover {
    opacity: 0.8;
}

@media (max-width: 768px) {
    .modal-content {
        padding: 10px;
        flex-direction: column;
    }

    .modal-content h2,
    .modal-content p,
    .btn {
        margin: 10px 0; 
    }

    .modal-buttons {
        flex-direction: row; 
        flex-wrap: wrap; 
    }

    .btn {
        flex: 1 0 auto; 
        margin: 5px; 
    }

    .btn.accept {
        margin-top: 10px; 
    }
}
